Subject: Re: [PATCH v3 25/29] CI: set CC in MAKEFLAGS directly, don't add it to the environment

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 15 Apr 2022 15:47:22 +0200

On Thu, Apr 14 2022, Carlo Arenas wrote:

> On Wed, Apr 13, 2022 at 12:52 PM Ævar Arnfjörð Bjarmason
> <[email-masked]> wrote:
>> @@ -160,13 +169,23 @@ linux-TEST-vars)
>>         setenv --test GIT_TEST_WRITE_REV_INDEX 1
>>         setenv --test GIT_TEST_CHECKOUT_WORKERS 2
>>         ;;
>> +osx-gcc)
>> +       CC=gcc
>> +       CC_PACKAGE=gcc-9
>
> not sure when this was broken since there were too many refactorings
> around this code, but this is definitely wrong.
>
> macos' gcc is really clang, so if we really want to build with gcc
> instead (and there are 9, 10 and 11 versions installed) need to use
> instead (for version 9, which was what was used originally and what
> CC_PACKAGE was installing if needed)
>
> CC=gcc-9
>
> Right now both macos jobs are using clang, regardless of what the
> nicely named label says.

I didn't know gcc on OSX was clang, that does seem broken.

But unless I'm missing something that's already been the case on
"master" for a while, i.e. this is the master run showing that we'll
invoke "gcc":
https://github.com/git/git/runs/6031562726?check_suite_focus=true#step:3:6

And "seen", with this change, which shows that we'll do the same:
https://github.com/git/git/runs/6031564900?check_suite_focus=true#step:5:7

If I understand you correctly both are effectively a NOOP and we don't
use that "gcc-9", but we should.

It looks like it was broken in my 707d2f2fe86 (CI: use "$runs_on_pool",
not "$jobname" to select packages & config, 2021-11-23).

I'll fix that as along with any small follow-ups after this series,
sound good?